Архив метки: PHP

PHP: Call to undefined function session_start и Call to undefined function imagecreatefrompng()

18 октября 2012
 

 Ошибка: [Thu Oct 18 19:34:27 2012] [warn] [client 77.120.***.**] mod_fcgid: stderr: PHP Fatal error: Call to undefined function session_start() in /usr/local/www/users/***.php on line 260, referer: http://***.org.ua/?page_id=4 Не установлен или не активен модуль PHP — session.

PHP: Parse error: syntax error, unexpected $end

18 октября 2012
 

 На одном сайте после переезда на новую схему Apache+mod_fcgid, которая описана тут>>>, возникла ошибка: Parse error: syntax error, unexpected $end in /usr/local/www/users/***/***.php on line 181 При проверке самого кода — никаких не закрытых () и прочих ошибок не замечено. Сама строка 181 — это просто последняя строка файла.

FreeBSD: установка и настройка NGINX + php-fpm

23 сентября 2012
 

 В данной статье описана самая базовая установка NGINX + php-fpm. Установка производится на FreeBSD 9.0. Приступаем к установке NGINX. # cd /usr/ports/www/nginx Выполняем конфигурирование: # make config # make showconfig | grep on ===> The following configuration options are available for nginx-1.2.3_1,1: HTTP=on: Enable HTTP module HTTP_ADDITION=on: Enable http_addition module HTTP_CACHE=on: Enable http_cache module HTTP_DAV=on:… Читать далее »

PHP: PHP Fatal error: Call to undefined function curl_init()

18 сентября 2012
 

 В логах появляется ошибка: [Tue Sep 18 12:14:50 2012] [warn] [client ***********] mod_fcgid: stderr: PHP Fatal error:  Call to undefined function curl_init() in /usr/local/www/users/example/example.com.ua/wp-content/plugins/tweetupdater/twitteroauth.php on line 199, referer: http://l2db.com.ua/wp-admin/options-general.php?page=TweetUpdater

WordPress: Parameter 1 to update_comment_type_cache() expected to be a reference

18 сентября 2012
 

  При переносе блога на CMS WordPress на другой сервер — перестает отображаться содержимое сайта при использовании темы не по-умолчанию, а установленной отдельно. В логах запись такого вида: [Tue Sep 18 10:59:06 2012] [warn] [client ********] mod_fcgid: stderr: PHP Warning:  Parameter 1 to update_comment_type_cache() expected to be a reference, value given in /usr/local/www/users/example/example.com.ua/wp-includes/plugin.php on line… Читать далее »

FreeBSD: Apache + mpm_worker + PHP + mod_fcgid

11 сентября 2012
 

 Если вы вообще не знаете что такое Multi-Processing Module  то для начала почитайте эту>>> статью. Там же рассказывается, какая разница между worker, prefork и другими MPM. Мы будем использовать MPM worker. PHP будет обрабатываться с помощью модуля FastCGI. Тут на выбор — использовать mod_fcgid или mod_fastcgi. Будем использовать mod_fcgid, так как данный модуль позволяет индивидуально… Читать далее »

PHP + MySQL: проверка соединения с сервером и подключения к базе

10 сентября 2012
 

 Простенький скрипт, для проверки работы связки PHP+MySQL. Скрипт выполняет подключение к серверу MySQL и, если успешно, то к базе данных. В значения переменных указываем свои данные: $server — адрес сервера баз данных; $user — имя пользователя БД; $password — пароль пользователя; $database — имя базы данных.

pecl-intl-1.1.2_3 cannot install: doesn't work with PHP version : 52

17 января 2012
 

  При установке RoundCube сборка остановилась с таким сообщением об ошибке: ===> roundcube-0.6_1,1 depends on file: /usr/local/lib/php/20060613/xml.so — found ===> roundcube-0.6_1,1 depends on file: /usr/local/lib/php/20060613/json.so — found ===> roundcube-0.6_1,1 depends on file: /usr/local/lib/php/20060613/intl.so — not found ===> Verifying install for /usr/local/lib/php/20060613/intl.so in /usr/ports/devel/pecl-intl ===> pecl-intl-1.1.2_3 cannot install: doesn’t work with PHP version : 52 (Doesn’t… Читать далее »

PHP52: Please update your ports tree and try again

17 декабря 2011
 

 При попытке установить PHP 5.2 сборка остановилась с ошибкой: # make install clean ===> NOTICE: This port is deprecated; you may wish to reconsider installing it: PHP 5.2 series is not supported anymore, migrate now. It is scheduled to be removed on or after 2012-03-01. ===> php52-5.2.17_4 has known vulnerabilities: => php — NULL byte… Читать далее »